commit:     21a59db6d2b6d68098c822ac04305b07db980a2e
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 05:15:01 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Sep  4 05:23:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21a59db6

net-libs/libssh2: Fix libdir in Libssh2ConfigVersion.cmake

Package-Manager: Portage-2.3.75, Repoman-2.3.17
Bug: https://bugs.gentoo.org/693460
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-libs/libssh2/files/libssh2-1.9.0-libdir.patch | 17 +++++++
 net-libs/libssh2/libssh2-1.9.0-r1.ebuild          | 58 +++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/net-libs/libssh2/files/libssh2-1.9.0-libdir.patch 
b/net-libs/libssh2/files/libssh2-1.9.0-libdir.patch
new file mode 100644
index 00000000000..e04acb0904b
--- /dev/null
+++ b/net-libs/libssh2/files/libssh2-1.9.0-libdir.patch
@@ -0,0 +1,17 @@
+--- a/src/CMakeLists.txt
++++ b/src/CMakeLists.txt
+@@ -392,7 +392,7 @@
+ ## During package installation, install Libssh2Config.cmake
+ install(EXPORT Libssh2Config
+   NAMESPACE Libssh2::
+-  DESTINATION lib/cmake/libssh2)
++  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/libssh2)
+ 
+ ## During build, register directly from build tree
+ # create Libssh2Config.cmake
+@@ -424,4 +424,4 @@
+   COMPATIBILITY SameMajorVersion)
+ install(
+   FILES ${CMAKE_CURRENT_BINARY_DIR}/Libssh2ConfigVersion.cmake
+-  DESTINATION lib/cmake/libssh2)
++  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/libssh2)

diff --git a/net-libs/libssh2/libssh2-1.9.0-r1.ebuild 
b/net-libs/libssh2/libssh2-1.9.0-r1.ebuild
new file mode 100644
index 00000000000..92f1a88bf9c
--- /dev/null
+++ b/net-libs/libssh2/libssh2-1.9.0-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit cmake-multilib
+
+DESCRIPTION="Library implementing the SSH2 protocol"
+HOMEPAGE="https://www.libssh2.org";
+SRC_URI="https://www.${PN}.org/download/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-solaris"
+IUSE="gcrypt libressl mbedtls zlib"
+REQUIRED_USE="?? ( gcrypt mbedtls )"
+RESTRICT="test"
+
+RDEPEND="
+       gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0[${MULTILIB_USEDEP}] )
+       !gcrypt? (
+               mbedtls? ( net-libs/mbedtls[${MULTILIB_USEDEP}] )
+               !mbedtls? (
+                       !libressl? ( 
>=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
+                       libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+               )
+       )
+       zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+"
+DEPEND="
+       ${RDEPEND}
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.8.0-mansyntax_sh.patch
+       "${FILESDIR}"/${PN}-1.9.0-libdir.patch
+       "${FILESDIR}"/${PN}-1.9.0-missing.patch
+)
+
+multilib_src_configure() {
+       local crypto_backend=OpenSSL
+       if use gcrypt; then
+               crypto_backend=Libgcrypt
+       elif use mbedtls; then
+               crypto_backend=mbedTLS
+       fi
+
+       local mycmakeargs=(
+               -DBUILD_SHARED_LIBS=ON
+               -DCRYPTO_BACKEND=${crypto_backend}
+               -DENABLE_ZLIB_COMPRESSION=$(usex zlib)
+       )
+       cmake-utils_src_configure
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to